Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.cluster.journal
Class JournalManager

    java.lang.Object
      org.exist.cluster.journal.JournalManager

public class JournalManager
extends java.lang.Object

Manage the Journal Created by Nicola Breda.

Author:
  Nicola Breda aka maiale, David Frontini aka spider Date: 05-aug-2005 Time: 18.09.08 Revision $Revision: 2154 $

Field Summary
`static int` | `JOURNAL_STORAGE_FILE_MAX_SIZE`
`static int` | `REALIGN_MAX_BLOCK_SIZE`

Constructor Summary
`JournalManager(Configuration conf)`

Method Summary
`void` | `enqueEvent(ClusterEvent event)`
`int` | `getCounter()`
`int` | `getLastIdSaved()`
`int` | `getMaxIdSaved()`
`java.util.ArrayList` | `getNextEvents(int[] header, int[] myHeader, java.lang.Integer start)`
`boolean` | `isProcessed(ClusterEvent event)`
`ClusterEvent` | `read(int id)`
`void` | `squeueEvent()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JOURNAL_STORAGE_FILE_MAX_SIZE

    public static int JOURNAL_STORAGE_FILE_MAX_SIZE

### REALIGN_MAX_BLOCK_SIZE

    public static int REALIGN_MAX_BLOCK_SIZE

Constructor Detail

### JournalManager

    public JournalManager(Configuration conf)

Method Detail

### getLastIdSaved

    public int getLastIdSaved()

### getMaxIdSaved

    public int getMaxIdSaved()

### getCounter

    public int getCounter()

### isProcessed

    public boolean isProcessed(ClusterEvent event)

### squeueEvent

    public void squeueEvent()
                     throws ClusterException

  Throws:
    `ClusterException`

### enqueEvent

    public void enqueEvent(ClusterEvent event)
                    throws ClusterException

  Throws:
    `ClusterException`

### read

    public ClusterEvent read(int id)

### getNextEvents

    public java.util.ArrayList getNextEvents(int[] header,
                                             int[] myHeader,
                                             java.lang.Integer start)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.